:host {
  display: block;
}

paper-dialog {
  white-space: pre;
  display: flex;
  flex-direction: column;
  h2 {
    margin: 0 !important;
    padding-top: 1em !important;
    padding-bottom: .5em !important;
  }
  &[type="warning"] {
    h2 {
      background-color: var(--paper-orange-500);
    }
  }
  &[type="error"] {
    h2 {
      background-color: var(--error-color);
    }
  }
  &[type="confirmation"] {
    h2 {
      background-color: var(--paper-orange-500);
    }
    font-size: large;
    white-space: pre-line;
  }
  &[type="stern-confirmation"] {
    h2 {
      background-color: var(--error-color);
    }
    font-size: large;
    font-weight: bold;
    white-space: pre-line;
  }

  paper-button {
    font-size: medium;
    font-weight: normal;
  }
}

paper-toast {
  // &[type="info"] {
  //   background-color: blue;
  // }
  &[type="warning"] {
    background-color: var(--paper-orange-500);
    color: black;
    paper-button {
      color: black;
      --paper-button-ink-color: black;
    }
  }
  &[type="error"] {
    background-color: var(--error-color);
  }
  paper-button {
    color: white;
    --paper-button-ink-color: white;
  }
}

paper-input, paper-textarea {
  margin-top: 0;
}
